<ion-header>
  <ion-toolbar class="header_clas ion-text-center">
    <ion-icon style="zoom:1.5" name="arrow-back" (click)="back()" slot="start"></ion-icon>
    <img src="assets/logo/logo.png" />
  </ion-toolbar>
</ion-header>

<ion-content padding>

  <form [formGroup]="onRegisterForm" class="registrationForm">

    <h2>Create Account</h2>

    <ion-item lines="none">
      <ion-icon name="information-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" (keyup)="onKeyUp($event)" placeholder="First Name" type="text" formControlName="fname"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('fname').touched && onRegisterForm.get('fname').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>

    <ion-item lines="none">
      <ion-icon name="information-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" (keyup)="onKeyUp($event)" placeholder="Last Name" type="text" formControlName="lname"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('lname').touched && onRegisterForm.get('lname').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>

    <ion-item lines="none">
      <ion-icon name="mail-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" (ngModelChange) ="unCheckFocusEmail()" value="email" placeholder="Email" type="email" formControlName="email"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('email').touched && onRegisterForm.get('email').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('email').touched && onRegisterForm.get('email').hasError('pattern')">
        <ion-text color="warning">
          Please provide a valid email
        </ion-text>
      </p>
    </div>

    <ion-item lines="none">
      <ion-icon name="call-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" (ngModelChange) ="unCheckFocusPhone()" value="phone" placeholder="Phone Number" type="Number" formControlName="phone_number"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('phone_number').touched && onRegisterForm.get('phone_number').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>

    <ion-item lines="none">
      <ion-icon name="person-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" (keyup)="onKeyUp($event)" (ngModelChange) ="unCheckFocusUsername()" value="Username" placeholder="Username" type="text" formControlName="Username"></ion-input>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('Username').touched && onRegisterForm.get('Username').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>


    <ion-item lines="none">
      <ion-icon name="lock-closed-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" placeholder="Password" type="{{passwordType}}" formControlName="password"></ion-input>
      <ion-icon slot="end" color="dark" name="eye" (click)="showPassword(0)" *ngIf="!eye"></ion-icon>
      <ion-icon slot="end" color="dark" name="eye-off"  (click)="hidePassword(0)" *ngIf="eye"></ion-icon>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('password').touched && onRegisterForm.get('password').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>

    <div class="error-div">
      <p ion-text class="text08" *ngIf="onRegisterForm.get('password').touched && onRegisterForm.get('password').hasError( 'minlength')">
        <ion-text color="warning">
          Password must be at least 6 characters
        </ion-text>
      </p>
    </div>

    
    <ion-item lines="none">
      <ion-icon name="lock-closed-outline" slot="start"></ion-icon>
      <ion-input class="placeholder" placeholder="Repeat Password" type="{{c_passwordType}}" formControlName="confirm_password"></ion-input>
      <ion-icon slot="end" color="dark" name="eye" (click)="showPassword(1)" *ngIf="!c_eye"></ion-icon>
      <ion-icon slot="end" color="dark" name="eye-off"  (click)="hidePassword(1)" *ngIf="c_eye"></ion-icon>
    </ion-item>
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('confirm_password').touched && onRegisterForm.get('confirm_password').hasError('required')">
        <ion-text color="warning">
          This field is required
        </ion-text>
      </p>
    </div>
   
    <div class="error-div">
      <p ion-text class="text08"
        *ngIf="onRegisterForm.get('confirm_password').touched && onRegisterForm.get('confirm_password').hasError( 'mustMatch')">
        <ion-text color="warning">
          Passwords Must Match
        </ion-text>
      </p>
    </div>

    <div class="termsConditions">
      <ion-checkbox (ionChange)="setTermsConditions($event)" class="m-checkbox" mode="ios"></ion-checkbox>
      <p>Agree to <span (click)="termConditions()" class="hyper-link"><b><u>Terms & Conditions</u></b></span></p>
    </div>
    <ion-button (click)="signUp()" [disabled]="!onRegisterForm.valid || !termConditionsCheck">JOIN</ion-button>

  </form>

</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>